##
## EPITECH PROJECT, 2020
## my_libs
## File description:
## Makefile
##

ECHO	=	/bin/echo -e
DEFAULT	=	"\e[0m"
BOLD_T	=	"\e[1m"
DIM_T	=	"\e[2m"
UNDLN_T	=	"\e[4m"
BLACK_C	=	"\e[30m"
RED_C	=	"\e[31m"
GREEN_C	=	"\e[32m"
YELLO_C	=	"\e[33m"
BLUE_C	=	"\e[34m"
MAGEN_C	=	"\e[35m"
CYAN_C	=	"\e[36m"
WHITE_C	=	"\e[97m"
DEFAULT_C	=	"\e[39m"
LIGHT_GREY	=	"\e[37m"
DARK_GREY	=	"\e[90m"
LIGHT_RED	=	"\e[91m"
LIGHT_GREEN	=	"\e[92m"
LIGHT_YELLO	=	"\e[93m"
LIGHT_BLUE	=	"\e[94m"
LIGHT_MAGEN	=	"\e[95m"
LIGHT_CYAN	=	"\e[96m"
LINE_RETURN	=	$(ECHO) ""

SRC = 	./my_getnbr.c \
		./my_isneg.c \
		./my_nbr_to_base.c \
		./my_printf.c \
		./my_put_double.c \
		./my_put_nbr.c \
		./my_put_ptr.c \
		./my_putchar.c \
		./my_putstr.c \
		./my_revstr.c \
		./my_strlen.c \
		./my_strtolower.c \
		./my_strtoupper.c \
		./is_flag.c \
		./my_helper.c

OBJ = $(SRC:.c=.o)
NAME =	libprint.a
CFLAGS = -Wall -Wextra -I../../include/

all:	message $(NAME) done_print

$(NAME):	$(OBJ)
	ar rc $(NAME) $(OBJ)
	mv $(NAME) ../

clean:
	rm -f $(OBJ)

fclean:	clean
	rm -f ../$(NAME)

re:	fclean all

message:
	@$(LINE_RETURN)
	@$(LINE_RETURN)
	@$(ECHO) $(BOLD_T)$(CYAN_C)"██████╗ ██████╗ ██╗███╗   ██╗████████╗     ██╗     ██╗██████╗ "$(DEFAULT)
	@$(ECHO) $(BOLD_T)$(CYAN_C)"██╔══██╗██╔══██╗██║████╗  ██║╚══██╔══╝     ██║     ██║██╔══██╗"$(DEFAULT)
	@$(ECHO) $(BOLD_T)$(CYAN_C)"██████╔╝██████╔╝██║██╔██╗ ██║   ██║        ██║     ██║██████╔╝"$(DEFAULT)
	@$(ECHO) $(BOLD_T)$(CYAN_C)"██╔═══╝ ██╔══██╗██║██║╚██╗██║   ██║        ██║     ██║██╔══██╗"$(DEFAULT)
	@$(ECHO) $(BOLD_T)$(CYAN_C)"██║     ██║  ██║██║██║ ╚████║   ██║███████╗███████╗██║██████╔╝"$(DEFAULT)
	@$(ECHO) $(BOLD_T)$(CYAN_C)"╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═══╝   ╚═╝╚══════╝╚══════╝╚═╝╚═════╝ "$(DEFAULT)
	@$(LINE_RETURN)

done_print:
	@$(LINE_RETURN)
	@$(ECHO) $(LIGHT_CYAN)"BUILD $(NAME) COMPLETE!"$(DEFAULT)
	@$(ECHO) $(LIGHT_CYAN)"-----------------------"$(DEFAULT)
	@$(LINE_RETURN)